commit 525ce59fe2329d4b23fc0c52ed9dd92daac8ac2a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Oct 18 12:43:04 2022 -0700

    xcb-util-image 0.4.1
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 0a8f17fe11d92b51d81e4f2912de6fa4fe58ced9
Author: Mihail Konev <k.mvc@ya.ru>
Date:   Thu Jan 26 13:52:49 2017 +1000

    autogen: add default patch prefix
    
    Signed-off-by: Mihail Konev <k.mvc@ya.ru>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 1a2d9a046b9e9bd1732f6f966cc4a60814d2e442
Author: Emil Velikov <emil.l.velikov@gmail.com>
Date:   Mon Mar 9 12:00:52 2015 +0000

    autogen.sh: use quoted string variables
    
    Place quotes around the $srcdir, $ORIGDIR and $0 variables to prevent
    fall-outs, when they contain space.
    
    Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c7791313e22ddd18329e94891d6fffc99782f514
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jan 24 10:32:07 2017 +1000

    autogen.sh: use exec instead of waiting for configure to finish
    
    Syncs the invocation of configure with the one from the server.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Emil Velikov <emil.velikov@collabora.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 6ce24d67ef9a1c665b8289c1528fc8d5afd2fb4c
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 31 21:39:32 2014 -0700

    autogen.sh: Honor NOCONFIGURE=1
    
    See http://people.gnome.org/~walters/docs/build-api.txt
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c909644df94d73b605438fc7408631bea5427598
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 31 21:38:41 2014 -0700

    configure: Drop AM_MAINTAINER_MODE
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f568785753b4c380b40b8781c8aefd2fa5ae3cb5
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Jul 20 15:05:26 2022 -0700

    gitlab CI: add a basic build test
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e552a1feb89854eedc3dfbfeb112bb7d982a24b2
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Jul 20 15:05:11 2022 -0700

    Build xz tarballs instead of bzip2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 60697af2831a3cb7d59f54569e868f3cc6e71a92
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Jul 20 15:03:45 2022 -0700

    Update m4 to xorg/util/xcb-util-m4@c617eee22ae5c285e79e81
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 44aa4884ae0694ab1583dc870fa56e7b92cef937
Author: David Callu <callu.david@gmail.com>
Date:   Mon Apr 13 18:06:27 2020 +0200

    test: add XCB_SHM_LIBS to all test

commit 8692bc0a1c8ea552c6204d5609b2bbb2be6b5b55
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Feb 17 11:38:40 2019 -0800

    Update configure.ac bug URL for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 771df3bc6eac707cb071df56939d697e22ee17a1
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Feb 17 10:49:26 2019 -0800

    Add README.md to EXTRA_DIST
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 9c3b9cb3f60eeda640d29cf09bc3f23127c64302
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Feb 17 10:44:26 2019 -0800

    Update README for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d882052fb2ce439c6483fce944ba8f16f7294639
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Tue Oct 14 17:37:27 2014 +0900

    Release 0.4.0

commit 90636d38ad8c296f5e3bb4c54addbe921e9fe9d9
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Wed Sep 24 19:55:47 2014 +0900

    Pick-up changes in m4 submodule as it's better to have all util repos at same m4 level.

commit f3a7f6b0de192299026d7144e931e0924cd649f6
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Feb 20 14:27:18 2014 -0500

    image: use AM_CPPFLAGS rather than per-target libxcb_image_la_CPPFLAGS
    
    There is only one target in this directory, so we do not need to trigger
    the per-target infrastructure which would require AC_PROG_CC_C_O macro.
    So libxcb_image_la-xcb_image.o simply becomes xcb_image.o.
    
    http://www.gnu.org/software/automake/manual/automake.html#Renamed-Objects
    
    Reviewed-by: Uli Schlachter <psychon@znc.in>
    Reviewed-by: Josh Triplett <josh@joshtriplett.org>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit d26dd5b14015a4f90197740bd8b2f20a0df77c8c
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Feb 20 09:42:40 2014 -0500

    test: move test cases into their own directory
    
    Seperate building the production code from the test programs, out of
    principal and as it opens the possibilities of simplification in
    follow-up patches. Avoid file names like test_xcb_image_shm-test_xcb_image_shm
    
    Reviewed-by: Uli Schlachter <psychon@znc.in>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 71d4fce26a9f6e9aa96eb68ab73dda1da5e59ee8
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Feb 19 20:13:13 2014 -0500

    make: image is using X11 Protcol headers, so XPROTO_CFLAGS is required
    
    This package may theorically be installed at a different location.
    
    Reviewed-by: Uli Schlachter <psychon@znc.in>
    Reviewed-by: Josh Triplett <josh@joshtriplett.org>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit b573b2725bef5854ee0f783903d6a24806ab7765
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Feb 19 19:01:15 2014 -0500

    make: using EXTRA_DIST for xcb-util-image.pc.in is redundant
    
    All files mentionned in AC_CONFIG_FILES have their source files
    distributed automatically.
    
    http://www.gnu.org/software/automake/manual/automake.html
    
    Reviewed-by: Uli Schlachter <psychon@znc.in>
    Reviewed-by: Josh Triplett <josh@joshtriplett.org>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit c19e0dd72bd5722280629cf81c1a5faec873b6d2
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Feb 19 18:58:23 2014 -0500

    make: there should be no attempt to remove any Makefile.in file
    
    Files generated by autoconf (and the various tools it calls) must not be
    removed by running a makefile. This is outside the scope of the makefile.
    
    http://lists.gnu.org/archive/html/autoconf/2007-03/msg00043.html
    
    One can use git-clean to return to the original state of the module prior
    to running autogen.sh, autoreconf or configure.
    
    Reviewed-by: Uli Schlachter <psychon@znc.in>
    Reviewed-by: Josh Triplett <josh@joshtriplett.org>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit b712543a104cb6a172b0ff219f371e83b48e4816
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Feb 19 15:38:33 2014 -0500

    config: add missing COPYING file
    
    This file is mandatory. It reflects the copyright statements found
    in the source code as written by their respective owners.
    
    Reviewed-by: Uli Schlachter <psychon@znc.in>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit d789b704ca3282d8673085dda473b6a91cd4cb4e
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Feb 19 15:31:17 2014 -0500

    config: use AC_CONFIG_HEADERS to create a config.h file
    
    This file contains C preprocessor #define statements which replace
    the current -Ds added to each compilation invocation.
    
    This makes the gcc output command easier to read and prevents exceeding
    the max line limits on some computers. This is the preferred method
    in al the xorg modules.
    
    Reviewed-by: Uli Schlachter <psychon@znc.in>
    Reviewed-by: Josh Triplett <josh@joshtriplett.org>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 1f3bc1686261272594f06ddc8adf528317afcfb4
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Feb 19 14:45:33 2014 -0500

    config: remove old dead code for documentation
    
    Reviewed-by: Uli Schlachter <psychon@znc.in>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 369f761050933fc094c3836fcdb42ad961bf0340
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Feb 19 14:37:15 2014 -0500

    config: replace deprecated use of AC_OUTPUT with AC_CONFIG_FILES
    
    Fix Automake warning: AC_OUTPUT should be used without arguments.
    www.gnu.org/software/autoconf/manual/autoconf.html#Configuration-Files
    
    Changed layout to one file per file like other xorg modules.
    
    Reviewed-by: Uli Schlachter <psychon@znc.in>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 1d022a8cb7e777702ac6d21fbae336164b953aa8
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Feb 19 14:32:46 2014 -0500

    config: add bug URL to AC_INIT
    
    Use same layout as libxcb.
    
    Reviewed-by: Josh Triplett <josh@joshtriplett.org>
    Reviewed-by: Uli Schlachter <psychon@znc.in>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 2eb581ab2f90fbcea878f5696da3e1d7acad3c58
Author: Niclas Zeising <zeising@daemonic.se>
Date:   Mon Aug 12 13:53:10 2013 +0200

    Check submodules before running autoconf.
    
    Exit early with an informative message if the submodules are missing,
    since they are needed.  Without this autoconf throws a bunch of
    uninformative errors which does not point to the actual problem.
    This was taken from util-keysyms.
    
    Signed-off-by: Niclas Zeising <zeising@daemonic.se>
    Reviewed-By: Arnaud Fontaine <arnau@debian.org>

commit 7c2c36a1472941353a700bbac7dc351a92f42258
Author: Bart Massey <bart@cs.pdx.edu>
Date:   Fri Aug 23 16:45:36 2013 -0700

    fixed some compiler C90 warnings

commit 70d244bf84b5b931c506d36db83c7f676ad557fe
Author: Bart Massey <bart@cs.pdx.edu>
Date:   Thu Aug 22 09:44:41 2013 -0700

    Fixed endianness bug in xy pixmap getimage.
    
    The endianness of the returned bit planes does not depend on
    the host bit order in the current server, and apparently not
    in the spec. So..yeah.

commit f3d7d7a8ec1090d08ab054f4d36ca21c2322ddec
Author: Bart Massey <bart@cs.pdx.edu>
Date:   Thu Aug 22 09:45:08 2013 -0700

    increased window size for test_xcb_image for usability

commit bbc285cd97cf7658b3b86427afe7340bd5adfb5d
Author: Bart Massey <bart@cs.pdx.edu>
Date:   Wed Aug 21 22:42:51 2013 -0700

    added window names to test_xcb_image windows

commit 11483e141fbb5f6bedb3cb1957f9354ecf8cb48b
Author: Bart Massey <bart@cs.pdx.edu>
Date:   Wed Aug 21 22:22:13 2013 -0700

    Fixed get_image to handle xy format with nontrivial plane_mask.
    
    Or at least made it work a little. There may still be many bugs
    here depending on endianness, size vs stride, etc.

commit 8875ae01cda333edfccbfc683516b2e8b901f935
Author: Bart Massey <bart@cs.pdx.edu>
Date:   Wed Aug 21 22:19:09 2013 -0700

    changed test_xcb_image to work with XY_PIXMAP with nontrivial planemask

commit cfd8da474e31d9399ac26f6a3ee4a890785aed6f
Author: Bart Massey <bart@cs.pdx.edu>
Date:   Wed Aug 21 16:09:09 2013 -0700

    added additional format tests for XY_PIXMAP bit planes

commit 3577db110e03985d4486cae6caf3ceb5696c45e9
Author: Jon TURNEY <jon.turney@dronecode.org.uk>
Date:   Thu Dec 20 22:56:28 2012 +0000

    Fix compilation when NDEBUG is defined
    
    XORG_DEFAULT_OPTIONS enables -Werror=return-type
    
    xcb_image_get_pixel() and xcb_image_create_native() assume assert(0) is
    noreturn, and don't return a value in that case.  But assert(0) isn't noreturn
    if NDEBUG is defined.
    
    Fix this by returning a suitable value.
    
    (Also, on the MinGW target, assert(0) is non-standard and may return even in the
    !NDEBUG case, as the C runtime may ask the user if they want to abort or not...)
    
    /jhbuild/checkout/xcb/xcb-util-image/image/xcb_image.c: In function 'xcb_image_get_pixel':
    /jhbuild/checkout/xcb/xcb-util-image/image/xcb_image.c:754:1: error: control reaches end of non-void function [-Wreturn-type]
    /jhbuild/checkout/xcb/xcb-util-image/image/xcb_image.c: In function 'xcb_image_create_native':
    /jhbuild/checkout/xcb/xcb-util-image/image/xcb_image.c:190:1: error: control reaches end of non-void function [-Wreturn-type]
    
    Signed-off-by: Jon TURNEY <jon.turney@dronecode.org.uk>
    Signed-off-by: Peter Harris <pharris@opentext.com>

commit 98fea59c11e5dbea4c4e1b6458f03754e311180b
Author: Bart Massey <bart@cs.pdx.edu>
Date:   Sun Oct 28 12:04:19 2012 -0700

    corrected return value documentation for xcb_image_shm_put()

commit 155d4c90d7ddb599fcff34dfc403b223c3a35ce8
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Wed May 30 14:23:19 2012 +0900

    Release 0.3.9
    
    Signed-off-by: Arnaud Fontaine <arnau@debian.org>

commit 22d62378f721555970d5f6a9a1f9fde233fd226c
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Tue May 22 17:22:15 2012 +0900

    Fix GCC warning in test_formats.

commit f7921a5f1b4524300f297c41200623d7b7fbf17a
Author: Jon TURNEY <jon.turney@dronecode.org.uk>
Date:   Thu Jan 5 21:01:51 2012 +0000

    Use rand() instead of random(), being part of the C standard library,
    it is more portable (for example, to MinGW)
    
    Signed-off-by: Jon TURNEY <jon.turney@dronecode.org.uk>
    Reviewed-by: Arnaud Fontaine <arnau@debian.org>

commit 98ca67376f87854b1b9308ac948d16a890e5088b
Author: Jon TURNEY <jon.turney@dronecode.org.uk>
Date:   Thu Jan 5 21:01:50 2012 +0000

    Don't try to build test_xcb_image_shm if SHM isn't available (for example, on MinGW)
    
    Signed-off-by: Jon TURNEY <jon.turney@dronecode.org.uk>
    Reviewed-by: Arnaud Fontaine <arnau@debian.org>

commit 51ba72634a3fdaaddacf917373cc44b1bf53829d
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Mon May 21 11:06:59 2012 +0900

    Add autogen.sh to EXTRA_DIST.

commit 8b31d4b184a03d6de95d50275e237958909aebcd
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Mon May 21 11:06:53 2012 +0900

    Remove Doxyfile which is unused, out dated and wrong.

commit 46842004b8a9419dec49caf95e516f801bcda5b0
Author: Roberto Branciforti <rbbrnc@gmail.com>
Date:   Mon May 2 17:40:42 2011 +0200

    Fix xcb_bitops.h include path
    
    This patch fix the include path of the xcb_bitops.h file.
    
    Signed-off-by: rbbrnc <rbbrnci@gmail.com>

commit 97e6f64dfee62a65758c0667a4ee208d7e9ab44a
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Sun May 1 22:24:41 2011 +0900

    Add missing xcb_bitops.h.
    
    Following the split up of xcb-util, this header was incorrectly put into util,
    which doesn't actually use it, whereas it should have always been in
    util-image.
    
    Signed-off-by: Arnaud Fontaine <arnau@debian.org>

commit 6b69004b6c88502734a798a1c0b69a1592d04fc7
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Tue Apr 26 00:57:22 2011 +0900

    Release 0.3.8
    
    Signed-off-by: Arnaud Fontaine <arnau@debian.org>

commit 8d383b5ca77df0c76696ea112dcc266113cf96b4
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Tue Apr 26 00:53:17 2011 +0900

    Fix package name
    
    Signed-off-by: Arnaud Fontaine <arnau@debian.org>

commit 676d716b1dac772b2808d36d6cf1baccf4b844e4
Author: Dirk Wallenstein <halsmit@t-online.de>
Date:   Tue Apr 5 09:58:28 2011 +0200

    Use an absolute URL for the m4 submodule
    
    A relative submodule URL requires m4 duplicates relative to every fork or local
    mirror of this module.  To select a different protocol with an absolute
    submodule URL, the url.<base>.insteadOf configuration option can be used.
    
    Signed-off-by: Dirk Wallenstein <halsmit@t-online.de>
    Reviewed-by: Arnaud Fontaine <arnau@debian.org>
    Reviewed-by: Gaetan Nadon <memsize@videotron.ca>

commit 1dd3f8df211efcbce98cbe768d18044a78ff2451
Author: Jon TURNEY <jon.turney@dronecode.org.uk>
Date:   Tue Mar 22 15:34:47 2011 +0000

    Link with -no-undefined
    
    Use -no-undefined to assure libtool that the library has no unresolved
    symbols at link time, so that libtool will build a shared library for
    platforms require that all symbols are resolved when the library is linked.
    
    Signed-off-by: Jon TURNEY <jon.turney@dronecode.org.uk>
    Acked-by: Julien Cristau <jcristau@debian.org>
    Reviewed-by: Arnaud Fontaine <arnau@debian.org>

commit a11f24ba0b7cc1a0b99c01d0289a4f8420c698ec
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Mar 6 17:52:44 2011 -0500

    config: generate ChangeLog and INSTALL
    
    By copying a snippet of Makefile for xorg modules.
    One side-effect is that Makefile.in is no longer
    deleted on maintainer clean. This should never be done as
    it leaves your configuration in a half-broken state.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Signed-off-by: Arnaud Fontaine <arnau@mini-dweeb.org>

commit e5cb2b9793be1bc32994ad07ba0415684fabe8e0
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Mar 6 17:52:43 2011 -0500

    config: use the default xorg .gitignore file
    
    This will save future maintenance when module structure/tools change.
    This patch depends on the util-common-m4 submodule patch in the m4 path
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Signed-off-by: Arnaud Fontaine <arnau@mini-dweeb.org>

commit 4da5be0320662f4bc638f65c592103f158a7df1c
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Thu Dec 23 11:56:36 2010 +0900

    Bump version to 0.3.8

commit 38cbc1356ac8453a39064ee89774d2f45d33243e
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Mon Dec 20 00:14:16 2010 +0900

    Fix GCC warnings due to functions not being declared as static and
    random() being declared as extern

commit 25965db002825ccc3295df6ae0c931d296f2ba2a
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Mon Dec 20 00:12:52 2010 +0900

    Check whether tmp_image is not NULL before trying to dereference it

commit d53090fd635bf14523b11e6acbc385fd6e7d8823
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Sat Sep 4 23:40:46 2010 +0100

    Split image up into its own repository

commit 6b1784bf03c76be300bb67685ac73de87ef34652
Author: Jamey Sharp <jamey@minilop.net>
Date:   Thu Jun 24 13:51:47 2010 -0700

    test.xbm is part of the source code for test_bitmap.c.
    
    This fixes distcheck.
    
    Reported-by: Chris Ball <cjb@laptop.org>
    Signed-off-by: Jamey Sharp <jamey@minilop.net>

commit 2d382ace389714e0b85cf83f1498dd6491666e1b
Author: Jamey Sharp <jamey@minilop.net>
Date:   Thu Jun 24 11:02:13 2010 -0700

    Ensure that xcb-image sample apps get built.
    
    Otherwise nobody will notice if they bitrot.
    
    Signed-off-by: Jamey Sharp <jamey@minilop.net>

commit d849564d47fcef7f3d3308e6836b6395ace2da2c
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jun 14 13:49:08 2010 -0700

    Fix typos in various header comments
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Jamey Sharp <jamey@minilop.net>

commit d2b610518a8e0ac853aca2ea7c07b052b786ea60
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Thu Feb 11 14:45:11 2010 +0000

    Add AM_MAINTAINER_MODE for vendors

commit 90a18af83653894b651c4399965ee0361cc19224
Author: Jon TURNEY <jon.turney@dronecode.org.uk>
Date:   Tue Oct 20 18:17:46 2009 +0100

    Update autogen.sh to one that does builddir != srcdir

commit 56fe1c2f1be00377ab0def864aefb2443a096f96
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Fri Sep 25 13:08:15 2009 +0100

    Bump version to 0.3.7

commit c50e9acbd49c3343d125b51f9d414c3c223ccc1a
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Mon Aug 3 17:18:41 2009 +0200

    Bump version to 0.3.6

commit e2895a93a0b298a1f8e6022f758132c538e14ab5
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Wed Jun 3 20:50:32 2009 +0900

    Check for ssize_t in configure for xcb-util-common.h

commit bd20761dfe7fdab409ba11b6310277a7be8451f7
Author: Mikhail Gusarov <dottedmag@dottedmag.net>
Date:   Sat May 30 17:10:35 2009 +0700

    Typo in configure.ac
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit a960df2fdc20305f6927c8248f6fd3b01fa35093
Author: Julien Danjou <julien@danjou.info>
Date:   Fri May 29 08:34:20 2009 +0200

    Release xcb-util 0.3.5
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit 336b19984d8d8e096a0d921bdbb7a9988412c235
Author: Bob Ham <rah@bash.sh>
Date:   Mon May 25 12:22:13 2009 +0200

    Add a check on xproto version libxcb was compiled with
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit d952d04cd3edfe0d2e019b753a79068502b2df0d
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Apr 21 15:27:24 2009 -0700

    Make sure m4 supports -I flag, if not, try finding gnu m4
    
    Solaris m4 does not support -I flag, but gnu m4 is included in
    recent Solaris & OpenSolaris releases (and must already be installed
    on any machine that runs autoconf to generate configure scripts)
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit 8caba4c5f647972eab7a8eb43ce0aa2db66ae94b
Author: Julien Danjou <julien@danjou.info>
Date:   Wed Apr 15 15:21:21 2009 +0200

    bump version to 0.3.4
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit c3f438ab50624fc62b4a077fa04e0d5f3e0c8958
Author: Julien Danjou <julien@danjou.info>
Date:   Sat Jan 31 15:08:44 2009 +0100

    Release xcb-util 0.3.3

commit c921a762f789907e7509fbbc07815362e038dd41
Author: Julien Danjou <julien@danjou.info>
Date:   Tue Dec 16 14:14:50 2008 +0100

    Release xcb-util 0.3.2
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit d26bc15b8746575a68cdffdd433efad424a2d49b
Author: Julien Danjou <julien@danjou.info>
Date:   Fri Nov 21 10:49:09 2008 +0100

    build: add check for xproto >= 7.0.8
    
    This is needed to have _X_INLINE.
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit c362054f8f531f83e0824dd3c7eea4ad54c10ddf
Author: Jonathan Landis <landijk-dev@yahoo.com>
Date:   Fri Nov 21 10:10:15 2008 +0100

    Fix copyright statement
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit 92347e66974621873e463526f6f6d9e9614930c6
Author: Julien Danjou <julien@danjou.info>
Date:   Thu Nov 20 15:34:54 2008 +0100

    Release xcb-util 0.3.1

commit 537d47bea3ec70bbbc7f53399590bd0e55b7e317
Author: Julien Danjou <julien@danjou.info>
Date:   Fri Nov 7 11:02:08 2008 +0100

    configure: stop if m4 is not found
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit 5c26e6345f53ff957a908a1cc5623d5ec3800bf5
Author: Ulrich Eckhardt <doomster@knuut.de>
Date:   Mon Oct 6 14:02:24 2008 -0700

    Do not cast the return value of malloc() in modern C.
    
    Signed-off-by: Bart Massey <bart@cs.pdx.edu>

commit 0419234f8f4412ed3487a509fc07dd28e6a626fa
Author: Peter Harris <peter.harris@hummingbird.com>
Date:   Wed Oct 1 23:27:28 2008 -0700

    more endianness patches
    
    Signed-off-by: Bart Massey <bart@cs.pdx.edu>

commit ae699cc98b77cd6cb3ad453be24e963a5fa6414a
Author: Julien Danjou <julien@danjou.info>
Date:   Tue Sep 16 17:11:40 2008 +0200

    doc: enable doxygen doc in various submodule
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit 3909a8e5367ba9903ec6445e2af2e5515517aa9c
Author: Julien Danjou <julien@danjou.info>
Date:   Tue Sep 16 17:11:14 2008 +0200

    doc: add various authors, remove old todo item
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit 946881a36c4e1d2d0a7ceaef6f99483390fbb610
Author: Julien Danjou <julien@danjou.info>
Date:   Tue Sep 16 15:27:49 2008 +0200

    event: define XCB_EVENT_RESPONSE_TYPE_MASK
    
    And use it.
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit eed500fcc0566624ba3256998f2129f53cac0dcc
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Mon Sep 8 17:46:42 2008 +0200

    [icccm] Bump library version number to 0.3.0.

commit 54672acc037d00c67141cab5d8f8a7dae69e6343
Author: Henning Sten <henning.sten@yahoo.com>
Date:   Sun Sep 14 17:32:28 2008 +0200

    return on error to avoid null dereference in assert
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit e1b8f9be7984d07e3f7ed2acce3026d77154f2e6
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Sep 7 21:50:49 2008 -0700

    Add test_swap to image/.gitignore

commit 282d80ae0053582eb425b485cd7f5ac92fcb19c2
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Sep 7 21:48:41 2008 -0700

    Rework image format conversion code to pass test_swap test case.
    
    Numerous bugs were uncovered with the new test case, this fixes all of them.
    Perhaps this code will work on MSB machines now?

commit 6abeef9393ab31ddb7275ebc0c435400431178ab
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Sep 7 21:45:50 2008 -0700

    Add image conversion test case for 'make check'
    
    test_swap converts between most possible image formats, checking results
    against a fixed image.

commit 3f685d4beb6aab0d3d01102ff82bc24d60d4dda3
Author: Julien Danjou <julien@danjou.info>
Date:   Fri Aug 1 11:43:26 2008 +0200

    prepare 0.2.1 release
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit 33704890ddca85d6ca3453d234481a83920b892b
Author: Bart Massey <bart@cs.pdx.edu>
Date:   Sun Mar 9 11:31:09 2008 -0700

    added some gratuitous but harmless image pointer zeroing at the suggestion of Vincent Torri

commit b3fade06934526c44fd3ecb3501e2f9797ede0df
Author: Bart Massey <bart@cs.pdx.edu>
Date:   Sun Jan 27 12:06:51 2008 -0800

    added test.xbm to image

commit 6736ced97d2970621fe38b38c77996870eae2c8f
Author: Bart Massey <bart@cs.pdx.edu>
Date:   Sun Jan 27 11:57:36 2008 -0800

    made image tests compile when not installed; fixed regression in test_formats.c

commit b7c1351bf0a8c1f663669cd677807bbfca4615dc
Author: Bart Massey <bart@cs.pdx.edu>
Date:   Sun Jan 27 11:49:46 2008 -0800

    stopped image test programs from being built by default

commit b6f9da03985859360a8ac30c4184e7b84f479f79
Author: Bart Massey <bart@cs.pdx.edu>
Date:   Sun Jan 27 11:41:01 2008 -0800

    sorted out dependencies for building while uninstalled---includes horrible kludges

commit 48804b045477e730027cd8c4b4f53bca24566a34
Author: Bart Massey <bart@cs.pdx.edu>
Date:   Sat Dec 8 19:03:49 2007 -0800

    fixed check for SHM in test_xcb_image_shm

commit 5bd50f856c0fe5013b8554dfe82085b66149d79e
Author: Bart Massey <bart@cs.pdx.edu>
Date:   Sat Dec 8 18:12:27 2007 -0800

    added INSET argument to test_bitmap and cleaned up subimage stuff

commit aa4e6db33291fd00a14277456c43c73e6fc4f2a2
Author: Bart Massey <bart@cs.pdx.edu>
Date:   Sat Dec 8 18:11:43 2007 -0800

    took out clever code for subimage copying and left_shift for now, as it was too broken

commit f7a999d54bf155ec36d3a0935e684ba3d27563e5
Author: Bart Massey <bart@cs.pdx.edu>
Date:   Sat Dec 8 17:13:55 2007 -0800

    extended test_bitmap to handle subimage test

commit 9486c56b780b8b62641f552ada5059f7208d7320
Author: Bart Massey <bart@cs.pdx.edu>
Date:   Sat Dec 8 16:45:26 2007 -0800

    added create_image_from_bitmap_data(), adapted create_pixmap_from_bitmap_data() to use

commit c699affc7de4946c1f9cb8856b83936e53d72bb6
Author: Bart Massey <bart@cs.pdx.edu>
Date:   Sat Dec 8 16:36:39 2007 -0800

    added xcb_image_subimage()

commit 43c752df3d1f7b0c329307f748269a2eb32af976
Author: Bart Massey <bart@cs.pdx.edu>
Date:   Fri Dec 7 00:48:25 2007 -0800

    used doxygen -u to create a much more elaborate doxyfile

commit 9a2112a0e87a6df14131fb30351d765a74edc34a
Author: Bart Massey <bart@cs.pdx.edu>
Date:   Fri Dec 7 00:44:11 2007 -0800

    ...and in with the new image library

commit faf8581a48f1a12ee7287a66d0433a28aa394eef
Author: Bart Massey <bart@cs.pdx.edu>
Date:   Fri Dec 7 00:34:23 2007 -0800

    out with the old image library...

commit 394cc33cba2ff9f03422f4fb969cb7e91031c648
Author: Jamey Sharp <jamey@minilop.net>
Date:   Tue Nov 6 17:37:07 2007 -0800

    All util libraries require the XCB 1.0 API; check for it in configure.

commit 49c4ba1ba12cb7e22c239ddf3a57e7a4e730c7c8
Author: Jamey Sharp <jamey@minilop.net>
Date:   Fri Mar 2 17:36:29 2007 -0800

    Release xcb-util 0.2

commit 9ef66ccf5a535cdfe0613b9dbed593a6fb0ab63d
Author: TORRI Vincent <torri@alf94-3-82-66-248-160.fbx.proxad.net>
Date:   Wed Feb 21 20:27:07 2007 +0100

    rename the libraries from libXCBFoo.* to libxcb-foo.*. Use foo_CPPFLAGS instead of foo_CFLAGS (*_CFLAGS variables store preprocessor options)

commit 1e86efa3731d285735a51b93bef8dbfd749ca559
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Jun 7 12:06:00 2006 -0700

    Bug #7150: Check for gcc & Sun cc in configure.ac and use correct flags to turn on more warnings for each
    
    This is the first of two fixes needed to get xcb-util building on
    Solaris.
    
    Signed-off-by: Jamey Sharp <jamey@minilop.net>

commit 0a291d455065ee1833b6aed69bfbbfb66d8b41af
Author: Ian Osgood <iano@quirkster.com>
Date:   Sat Oct 7 11:45:07 2006 -0700

    Adapt xcb/util libraries for removal of XID structures.

commit 754f9a648068e0467c4036478666ad9439e58932
Author: Ian Osgood <iano@quirkster.com>
Date:   Tue Sep 26 08:36:01 2006 -0700

    Install headers to "xcb", not "X11/XCB".

commit c404219c36508705a5927815371c8fca3b4fd19a
Author: Jamey Sharp <jamey@minilop.net>
Date:   Mon Sep 25 04:13:01 2006 -0700

    libxcb now installs header files in <xcb>, not <X11/XCB>.

commit 398b7d64c731caf696646e363dfc3678f3b9f8d9
Author: Ian Osgood <iano@quirkster.com>
Date:   Sun Sep 24 13:34:03 2006 -0700

    All xcb-util libraries compile after the Great Renaming.
    
    Many of the exported library functions still need to follow the new convention.

commit 1497bde7ecb7ae96c6bb3e1fffc1b85564990ebb
Author: Josh Triplett <josh@freedesktop.org>
Date:   Sun Sep 24 03:15:39 2006 -0700

    Integrate top-level .gitignore into .gitignore for each subdirectory
    
    In preparation for the repository split, move the relevant contents of the
    top-level .gitignore into the .gitignore for each immediate subdirectory.

commit f11dc2d365a1a606a6104f6889c3667feb9835ea
Author: Ian Osgood <iano@quirkster.com>
Date:   Sat Jul 1 00:55:08 2006 -0700

    Finally remove X.h from xcb.h, fix broken image tests.

commit 93c971602ebb461db5b618b11acf5e7be1e6634b
Author: TORRI Vincent <torri@doursse.(none)>
Date:   Thu Jun 8 07:05:51 2006 +0200

    XCBImagePut returns 1 when no problem occurs

commit beac19d9b23d0b603c22522ec0de9f5c84f98cbf
Author: TORRI Vincent <torri@doursse.(none)>
Date:   Thu Jun 8 07:02:15 2006 +0200

    fix compilation with c++ compilers. Remove some trailing spaces

commit ee30f2ed8eda9a020f55d71ea0c7db8851e9c555
Author: Donnie Berkholz <spyderous@gentoo.org>
Date:   Sun May 7 20:32:32 2006 -0700

    Add correct dependencies in xcb-util.

commit 4f7e101f77519e2b5ba83f18b5de95efce317da1
Author: TORRI Vincent <torri@doursse.(none)>
Date:   Tue May 2 23:54:53 2006 +0200

    I did'nt see that XCBAllPlanes already exists... Use CARD32 instead of unsigned long because plane_mask is a CARD32

commit 59eba74f66a69a43b6a4d29120b24cb39322f8d4
Author: TORRI Vincent <torri@doursse.(none)>
Date:   Tue May 2 22:24:42 2006 +0200

    add XCBImageAllPlanes constant

commit 616c2664fb58e5b9b7337d1f297c66c4b43d4319
Author: Ian Osgood <iano@quirkster.com>
Date:   Sat Apr 29 09:39:35 2006 -0700

    Add some error checking

commit 45ce2d87538619442dd1a1646429573d97f8d408
Author: TORRI Vincent <torri@doursse.(none)>
Date:   Fri Apr 28 20:49:15 2006 +0200

    leak fixed

commit cada5947575ff5b440a39897a83a251d701fafac
Author: Josh Triplett <josh@freedesktop.org>
Date:   Fri Apr 28 11:19:36 2006 -0700

    Make xcb_image.h self-contained by including the xcb.h and shm.h headers.  Remove unused headers from the libXCBImage test programs.  Change Makefile.am to match the headers and libraries actually used by the test programs.

commit 74fc9ffed770067a977553f26f7fee962056fc31
Author: Josh Triplett <josh@freedesktop.org>
Date:   Fri Apr 28 11:10:21 2006 -0700

    s/HACKMEM/HAKMEM/ in a comment.

commit cee10d3a0bd8b7b12f7c57464cf1c448f45d87c3
Author: TORRI Vincent <torri@doursse.(none)>
Date:   Fri Apr 28 08:29:36 2006 +0200

    my bad. bad fix. This should be better

commit 55ee817b88947f39509d240d8c964f1a3a197dc2
Author: TORRI Vincent <torri@doursse.(none)>
Date:   Fri Apr 28 08:04:06 2006 +0200

    missing flags

commit 1f0d87265cfbb068958fbe5b9ef32d7ec4f1573f
Author: Josh Triplett <josh@freedesktop.org>
Date:   Thu Apr 27 16:26:04 2006 -0700

    Fix use of deprecated name XCBConnSetupSucessRep in comment to use XCBSetup.

commit fa2296a4973aa8abe2af8a774ef4dbafb98935cb
Author: Josh Triplett <josh@freedesktop.org>
Date:   Thu Apr 27 11:25:28 2006 -0700

    Set all package bugreporting addresses to xcb@lists.freedesktop.org

commit 7591cce82d169306657fc9465d8ff5919aa38e99
Author: Jamey Sharp <jamey@minilop.net>
Date:   Thu Apr 27 10:35:54 2006 -0700

    Update xcb-util for ConnSetup renaming and constness fixes.

commit eea88fd19ac02db817faf333acb1b7a321553a70
Author: Josh Triplett <josh@freedesktop.org>
